classification
Title: Allow `install_headers` command to follow specific directory structure
Type: enhancement Stage: resolved
Components: Distutils Versions: Python 3.6, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: dstufft, eric.araujo, python-dev, steve.dower, sylvain.corlay
Priority: normal Keywords:

Created on 2016-05-25 14:24 by sylvain.corlay, last changed 2021-02-03 18:21 by steve.dower. This issue is now closed.

Messages (5)
msg266360 - (view) Author: Sylvain Corlay (sylvain.corlay) * Date: 2016-05-25 14:24
(instead of making a flat copy of the specified list of headers)

Unlike wheel's `data_files`, which allows to specify data files as a list of tuples

`[(target_directory, [list of files for target directory])]` 

the `headers` setup keyword argument only let's you specify a list of files that will be copied over to a sub-directory of `sysconfig.get_path('include')`.

It would be useful to enable the same feature for headers as we have for data files.
msg268568 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-14 16:25
New changeset 9ee36b74b432 by Gregory P. Smith in branch '3.5':
Issue #27123: When an exception is raised within the context being
https://hg.python.org/cpython/rev/9ee36b74b432

New changeset 9fadeee05880 by Gregory P. Smith in branch 'default':
Issue #27123: When an exception is raised within the context being
https://hg.python.org/cpython/rev/9fadeee05880
msg268571 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2016-06-14 16:31
(ignore that... typo in the commit log for issue27122's fix)
msg268572 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-14 17:38
New changeset 6bb68eae63e8 by Gregory P. Smith in branch '3.5':
issue27122: fix typo in the news file, wrong issue #.  not issue27123.
https://hg.python.org/cpython/rev/6bb68eae63e8

New changeset 4e1dbfcc9449 by Gregory P. Smith in branch 'default':
issue27122: fix typo in the news file, wrong issue #.  not issue27123.
https://hg.python.org/cpython/rev/4e1dbfcc9449
msg386368 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:21
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:21:52steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386368

resolution: out of date
stage: resolved
2016-06-14 17:38:58python-devsetmessages: + msg268572
2016-06-14 16:31:18gregory.p.smithsetnosy: - gregory.p.smith
2016-06-14 16:31:01gregory.p.smithsetnosy: + gregory.p.smith
messages: + msg268571
2016-06-14 16:25:00python-devsetnosy: + python-dev
messages: + msg268568
2016-05-25 14:24:35sylvain.corlaycreate